Bug 1801396 - PostgreSQL 12
Summary: PostgreSQL 12
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrik Novotný
QA Contact:
URL:
Whiteboard:
Depends On: 1808328 1811800
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-10 19:16 UTC by Ben Cotton
Modified: 2020-04-21 14:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-21 14:17:21 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-02-10 19:16:01 UTC
This is a tracking bug for Change: PostgreSQL 12
For more details, see: https://fedoraproject.org/wiki/Changes/PostgreSQL_12

Update of PostgreSQL (postgresql and libpq components) in Fedora from 11 to 12 version in the non-modular (main) builds.

Comment 1 Ben Cotton 2020-02-11 18:13:53 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 4 Miro Hrončok 2020-03-07 00:54:03 UTC
I have noticed that the following packages have broken dependency on postgresql-server(:MODULE_COMPAT_11) on Fedora 32:

orafce
pgRouting
pgaudit
pgsphere
postgis
postgres-decoderbufs
postgresql-pgpool-II-extensions
postgresql-plruby
rdkit-postgresql
rhdb-utils
timescaledb

Source: https://pagure.io/fedora-health-check/blob/master/f/reports/report-32-testing.md


And I have noticed there was no attempted rebuild of those. What's going on with this change?

Comment 5 Miro Hrončok 2020-03-09 19:57:15 UTC
FTR I've opened bz1811800 and nominated it for F32 Beta Blocker as well as Prioritized Bug.

Comment 6 Patrik Novotný 2020-03-10 10:34:50 UTC
Sorry for being behind on this one. Most of those have a fix already. It was JIT being enabled what broke some of those packages. pgpool-II was broken by GCC changes.

postgresql-plruby and timescaledb need to be taken care of yet. plruby should be dropped IMHO just like it was from some other major distributions.
Regarding timescaledb, the upstream for postgresql12 support has been delayed to this months release and I will rebase ASAP.

Comment 7 Miro Hrončok 2020-03-10 10:39:10 UTC
> Most of those have a fix already

None of the listed packages were rebuilt. How do they "have a fix"? I don't understand.

Comment 8 Patrik Novotný 2020-04-21 14:17:21 UTC
Closing as this as the remaining issues are being resolved in BZ#1811800.


Note You need to log in before you can comment on or make changes to this bug.